
package net.brutex.sbm.wsclient;

import java.math.BigInteger;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UserWithPreferences complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UserWithPreferences">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="userId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="userName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *         &lt;element name="uuid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="email" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="emailCC" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="timezone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="offsetFromGMT" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="dstSavings" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="datePreference" type="{urn:aewebservices71}DatePreference" minOccurs="0"/>
 *         &lt;element name="timePreference" type="{urn:aewebservices71}TimePreference" minOccurs="0"/>
 *         &lt;element name="namespaceName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UserWithPreferences", propOrder = {
    "userId",
    "userName",
    "id",
    "uuid",
    "email",
    "emailCC",
    "timezone",
    "offsetFromGMT",
    "dstSavings",
    "datePreference",
    "timePreference",
    "namespaceName"
})
@XmlSeeAlso({
    UserExtended.class
})
public class UserWithPreferences {

    @XmlElementRef(name = "userId", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> userId;
    @XmlElementRef(name = "userName", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> userName;
    @XmlElement(required = true)
    protected BigInteger id;
    @XmlElementRef(name = "uuid", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> uuid;
    @XmlElementRef(name = "email", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> email;
    @XmlElementRef(name = "emailCC", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> emailCC;
    @XmlElementRef(name = "timezone", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> timezone;
    protected BigInteger offsetFromGMT;
    protected BigInteger dstSavings;
    protected DatePreference datePreference;
    protected TimePreference timePreference;
    @XmlElementRef(name = "namespaceName", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> namespaceName;

    /**
     * Gets the value of the userId property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getUserId() {
        return userId;
    }

    /**
     * Sets the value of the userId property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setUserId(JAXBElement<String> value) {
        this.userId = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the userName property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getUserName() {
        return userName;
    }

    /**
     * Sets the value of the userName property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setUserName(JAXBElement<String> value) {
        this.userName = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setId(BigInteger value) {
        this.id = value;
    }

    /**
     * Gets the value of the uuid property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getUuid() {
        return uuid;
    }

    /**
     * Sets the value of the uuid property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setUuid(JAXBElement<String> value) {
        this.uuid = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the email property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getEmail() {
        return email;
    }

    /**
     * Sets the value of the email property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setEmail(JAXBElement<String> value) {
        this.email = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the emailCC property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getEmailCC() {
        return emailCC;
    }

    /**
     * Sets the value of the emailCC property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setEmailCC(JAXBElement<String> value) {
        this.emailCC = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the timezone property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getTimezone() {
        return timezone;
    }

    /**
     * Sets the value of the timezone property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setTimezone(JAXBElement<String> value) {
        this.timezone = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the offsetFromGMT property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getOffsetFromGMT() {
        return offsetFromGMT;
    }

    /**
     * Sets the value of the offsetFromGMT property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setOffsetFromGMT(BigInteger value) {
        this.offsetFromGMT = value;
    }

    /**
     * Gets the value of the dstSavings property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getDstSavings() {
        return dstSavings;
    }

    /**
     * Sets the value of the dstSavings property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setDstSavings(BigInteger value) {
        this.dstSavings = value;
    }

    /**
     * Gets the value of the datePreference property.
     * 
     * @return
     *     possible object is
     *     {@link DatePreference }
     *     
     */
    public DatePreference getDatePreference() {
        return datePreference;
    }

    /**
     * Sets the value of the datePreference property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatePreference }
     *     
     */
    public void setDatePreference(DatePreference value) {
        this.datePreference = value;
    }

    /**
     * Gets the value of the timePreference property.
     * 
     * @return
     *     possible object is
     *     {@link TimePreference }
     *     
     */
    public TimePreference getTimePreference() {
        return timePreference;
    }

    /**
     * Sets the value of the timePreference property.
     * 
     * @param value
     *     allowed object is
     *     {@link TimePreference }
     *     
     */
    public void setTimePreference(TimePreference value) {
        this.timePreference = value;
    }

    /**
     * Gets the value of the namespaceName property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getNamespaceName() {
        return namespaceName;
    }

    /**
     * Sets the value of the namespaceName property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setNamespaceName(JAXBElement<String> value) {
        this.namespaceName = ((JAXBElement<String> ) value);
    }

}
